# Percona Server template configuration

[client]
port        = {{ mysql_port }}
socket      = /var/lib/mysql/mysql.sock


[mysqld]
#
# Remove leading # and set to the amount of RAM for the most important data
# cache in MySQL. Start at 70% of total RAM for dedicated server, else 10%.
# innodb_buffer_pool_size = 128M
#
# Remove leading # to turn on a very important data integrity option: logging
# changes to the binary log between backups.
# log_bin
#
# Remove leading # to set options mainly useful for reporting servers.
# The server defaults are faster for transactions and fast SELECTs.
# Adjust sizes as needed, experiment to find the optimal values.
# join_buffer_size = 128M
# sort_buffer_size = 2M
# read_rnd_buffer_size = 2M
user        = mysql
socket      = /var/lib/mysql/mysql.sock
pid-file    = /var/run/mysqld/mysqld.pid
port        = {{ mysql_port }}
basedir     = /usr
datadir     = {{ mysql_datadir }}
tmpdir      = /tmp

# language is for pre-5.5. In 5.5 it is an alias for lc_messages_dir.
language = {{ mysql_language }}
bind-address = {{ mysql_bind_address }}
skip-external-locking

# * Fine Tuning
key_buffer_size         = {{ mysql_key_buffer }}
max_allowed_packet      = {{ mysql_max_allowed_packet }}
thread_stack            = {{ mysql_thread_stack }}
thread_cache_size       = {{ mysql_cache_size }}
myisam-recover          = {{ mysql_myisam_recover }}
max_connections         = {{ mysql_max_connections }}
table_open_cache        = {{ mysql_table_cache }}
thread_concurrency      = {{ mysql_thread_concurrency }}

# ** Query Cache Configuration
query_cache_limit       = {{ mysql_query_cache_limit }}
query_cache_size        = {{ mysql_query_cache_size }}
# ** Logging and Replication
log_error = /var/log/mysqld.log
log_warnings = 2
#general_log_file        = /var/log/mysql/mysqld.log
#general_log             = 1
#
#log_slow_queries   = /var/log/mysql/mysql-slow.log
#long_query_time = 2
#log-queries-not-using-indexes
#
# The following can be used as easy to replay backup logs or for replication.
#server-id      = 1
#log_bin            = /var/log/mysql/mysql-bin.log
expire_logs_days    = 10
max_binlog_size     = 100M
#binlog_do_db       = include_database_name
#binlog_ignore_db   = include_database_name

# ** InnoDB
# InnoDB is enabled by default with a 10MB datafile in /var/lib/mysql/.
# Read the manual for more InnoDB related options. There are many!
innodb_flush_log_at_trx_commit = {{ mysql_innodb_flush_log_at_trx_commit }}
innodb_buffer_pool_size = {{ mysql_innodb_buffer_pool_size }}
{% if mysql_innodb_flush_method != 'fdatasync': %}
innodb_flush_method = {{ mysql_innodb_flush_method }}
{% endif %}
innodb_lock_wait_timeout = {{ mysql_innodb_lock_wait_timeout }}
innodb_log_buffer_size = {{ mysql_innodb_log_buffer_size }}
innodb_log_file_size = {{ mysql_innodb_log_file_size }}
innodb_file_per_table = {{ mysql_innodb_file_per_table }}

# ** Security Features
# Read the manual, too, if you want chroot!
# chroot = /var/lib/mysql/

character_set_server = {{ mysql_character_set_server }}
collation_server = {{ mysql_collation_server }}
character-set-client-handshake = {{ mysql_character_set_client_handshake }}

[mysqldump]
quick
quote-names
max_allowed_packet  = {{ mysql_mysqldump_max_allowed_packet }}

[mysql]
#no-auto-rehash # faster start of mysql but no tab completition

[isamchk]
key_buffer      = {{ mysql_isamchk_key_buffer }}
 
# Disabling symbolic-links is recommended to prevent assorted security risks
symbolic-links=0

[mysqld_safe]
log-error=/var/log/mysqld.log
pid-file=/var/run/mysqld/mysqld.pid
nice        = 0
open-files-limit = 16384
